﻿namespace DataModel
{
  using System.ComponentModel.DataAnnotations;
  using Unleashed.DataAnnotations;

  [MetadataType(typeof(Metadata))]
  partial class Territory
  {
    [Authorization(
      Allow.Roles, "Manager",
      Allow.Roles, "Employee", Actions.Read,
      Deny.Users, "*")]
    private abstract class Metadata
    {
      [Display(Name = "Territory")]
      public object TerritoryDescription { get; set; }
    }
  }
}