﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication.MetaDataExplorer
{
  public class ExceptionResistantField : BoundField
  {
    protected override object GetValue(Control controlContainer)
    {
      try
      {
        return base.GetValue(controlContainer);
      }
      catch (Exception e)
      {
        return e.Message;
      }
    }
  }
}