﻿using System;
using System.Web.DynamicData;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication.MetaDataExplorer
{
  public partial class MetaModelPage : Page
  {
    protected void Page_Load(object sender, EventArgs e)
    {
      if (!this.IsPostBack)
      {
        MetaDataExplorer.DisplayObjectDetails(MetaModel.Default, this.detailsView);

        this.gridView.Columns[0].HeaderText = "Tables";
        this.gridView.DataSource = MetaModel.Default.Tables;
        this.gridView.DataBind();
      }
    }

    protected void DetailsView_ItemCommand(object sender, DetailsViewCommandEventArgs e)
    {
      if (e.CommandName == "Tables")
        this.gridView.DataSource = MetaModel.Default.Tables;
      else if (e.CommandName == "VisibleTables")
        this.gridView.DataSource = MetaModel.Default.VisibleTables;

      this.gridView.Columns[0].HeaderText = e.CommandName;
      this.gridView.DataBind();
    }
  }
}