﻿<%@ Page Language="C#" 
  MasterPageFile="~/Site.master" CodeBehind="SamplePage.aspx.cs" 
  Inherits="WebApplication.Samples.Ch04.EditTemplates.SamplePage" %>

<asp:Content runat="server" ContentPlaceHolderID="main">
  <asp:ValidationSummary runat="server" />
  <asp:FormView ID="form" runat="server" DataSourceID="dataSource" 
    DataKeyNames="CustomerID">
    <ItemTemplate>
      <asp:DynamicEntity runat="server" />
      <tr><td>
        <asp:LinkButton runat="server" CommandName="Edit" Text="Edit" />
        <asp:LinkButton runat="server" CommandName="New" Text="New" />
      </td></tr>
    </ItemTemplate>
    <InsertItemTemplate>
      <asp:DynamicEntity runat="server" Mode="Insert"/>
      <tr><td>
        <asp:LinkButton runat="server" CommandName="Insert" Text="Insert" />
      </td></tr>
    </InsertItemTemplate>
    <EditItemTemplate>
      <asp:DynamicEntity runat="server" Mode="Edit" />
      <tr><td>
        <asp:LinkButton runat="server" CommandName="Update" Text="Update" />
      </td></tr>
    </EditItemTemplate>
  </asp:FormView>
  <asp:EntityDataSource ID="dataSource" runat="server" 
    EnableInsert="true" EnableUpdate="true"
    ConnectionString="name=NorthwindEntities" AutoGenerateWhereClause="true"
    DefaultContainerName="NorthwindEntities" EntitySetName="Customers">
    <WhereParameters>
      <asp:QueryStringParameter QueryStringField="ID" Name="CustomerID" />
    </WhereParameters>
  </asp:EntityDataSource>
</asp:Content>
