﻿namespace DataModel
{
  using System.ComponentModel.DataAnnotations;
  using Unleashed.DataAnnotations;

  [MetadataType(typeof(Metadata))]
  partial class Category
  {
    [Authorization(
      Allow.Roles, "Manager",
      Allow.Users, "*", Actions.Read,
      Deny.Users, "*")]
    private abstract class Metadata
    {      
    }
  }
}
