﻿namespace DataModel
{
  using System.ComponentModel.DataAnnotations;
  using Unleashed.DataAnnotations;

  [MetadataType(typeof(Metadata))]
  partial class CustomerDemographic
  {
    [Authorization(
      Allow.Roles, "Manager",
      Allow.Roles, "Employee", Actions.Read | Actions.Update | Actions.Insert,
      Deny.Users, "*")]
    private abstract class Metadata
    {      
    }
  }
}