﻿using System;
using System.Collections.Specialized;
using System.Web.UI;
using Unleashed.DynamicData;

namespace WebApplication.DynamicData.FieldTemplates
{
  public partial class Decimal_EditField : UnleashedFieldTemplate
  {
    public override Control DataControl
    {
      get { return this.textBox; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
      this.textBox.ToolTip = this.Column.Description;

      this.SetUpValidator(this.requiredFieldValidator);
      this.SetUpValidator(this.compareValidator);
      this.SetUpValidator(this.regularExpressionValidator);
      this.SetUpValidator(this.rangeValidator);
      this.SetUpValidator(this.dynamicValidator);
    }

    protected override void ExtractValues(IOrderedDictionary dictionary)
    {
      dictionary[this.Column.Name] = this.ConvertEditedValue(this.textBox.Text);
    }
  }
}