﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="Edit.aspx.cs" Inherits="WebApplication.DynamicData.PageTemplates.Edit" %>

<asp:Content ContentPlaceHolderID="main" runat="Server">
  <asp:DynamicDataManager runat="server">
    <DataControls>
      <asp:DataControlReference ControlID="formView" />
    </DataControls>
  </asp:DynamicDataManager>

  <h2>Edit entry from table <%= table.DisplayName %></h2>

  <asp:UpdatePanel runat="server">
    <ContentTemplate>
      <asp:ValidationSummary runat="server" HeaderText="List of validation errors" />
      <unl:UnleashedValidator runat="server" ControlToValidate="formView" Display="None" />

      <asp:FormView runat="server" ID="formView" DataSourceID="dataSource" DefaultMode="Edit"
        OnItemCommand="FormView_ItemCommand" OnItemUpdated="FormView_ItemUpdated">
        <EditItemTemplate>
          <unl:UnleashedEntity runat="server" Mode="Edit" />
          <div class="DDFormActions">
            <asp:LinkButton runat="server" CommandName="Update" Text="Update" />
            <asp:LinkButton runat="server" CommandName="Cancel" Text="Cancel" CausesValidation="false" />
          </div>
        </EditItemTemplate>
      </asp:FormView>

      <asp:EntityDataSource ID="dataSource" runat="server" EnableUpdate="true" EnableFlattening="false" OnQueryCreated="DataSource_QueryCreated"/>
      <asp:QueryExtender TargetControlID="dataSource" runat="server">
        <asp:DynamicRouteExpression />
      </asp:QueryExtender>
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
